Skip to main content
POST
Create managed app (self-hosted)

Authorizations

Authorization
string
header
required

API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET

  • Username: The API Key ID.
  • Password: The API Key Secret.

Query Parameters

organizationId
string

Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.

Defaults to the organizationId associated with the API key.

Body

application/json
packageName
string
required

Package name of the app

Example:

"com.example.app"

title
string
required

Title of the app

Example:

"My Awesome App"

versionCode
number
required

Version code of the app

Example:

42

apkUrl
string
required

URL of the APK file

Example:

"https://storage.example.com/apps/com.example.app.apk"

versionName
string
required

Version name of the app

Example:

"1.0.0"

apkMd5
string

MD5 hash of the APK file

Example:

"d41d8cd98f00b204e9800998ecf8427e"

obbUrl
string

URL of the OBB file

Example:

"https://storage.example.com/apps/com.example.app.obb"

obbMd5
string

MD5 hash of the OBB file

Example:

"d41d8cd98f00b204e9800998ecf8427e"

versionLabel
string

Label for uniqueness among app versions

Example:

"Quest"

apkSize
number

Size of the APK file in bytes

Example:

72633861

obbSize
number

Size of the OBB file in bytes

Example:

1024

iconUrl
string<uri>

URL of the app's icon

Example:

"https://storage.example.com/apps/com.example.app/icon.png"

Response

The created managed app version

data
object